%define oname	gdl
%define api	3
%define major	2

%define libname 	%mklibname %{oname} %api %major
%define develname	%mklibname -d %{oname} %api
%define girname 	%mklibname %{oname}-gir %{api}

Summary: Gnome Development/Docking library
Name: %{oname}3
Version: 3.4.2
Release: 1
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnome.org
Source0: http://ftp.gnome.org/pub/GNOME/sources/gdl/%{oname}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta2.

The current pieces of GDL include:
 - A symbol browser bonobo component (symbol-browser-control).
 - A docking widget (gdl).
 - A utility library that also contains the stubs and skels for
   the symbol browser and text editor components (gdl, idl).

%package -n %{libname}
Group: System/Libraries
Summary: Gnome Development/Docking library - shared libraries
Suggests: %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the dynamic libraries from %{name}.

%package -n %{girname}
Group: System/Libraries
Summary: GObject Introspection interface library for %{name}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Group: Development/C
Summary: Gnome Development/Docking library headers and development libraries
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This packages contains the headers and libraries for %{name}.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x \
	--disable-rpath \
	--disable-static

%make

%install
%makeinstall_std

# remove unpackaged files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{oname}-%{api}

%files -f %{oname}-%{api}.lang

%files -n %{libname}
%{_libdir}/libgdl-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdl-%{api}.typelib

%files -n %{develname}
%doc ChangeLog README NEWS MAINTAINERS AUTHORS
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/gdl-*
%{_datadir}/gir-1.0/Gdl-%{api}.gir



%changelog
* Sat May 05 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.2-1
+ Revision: 796864
- new version 3.4.2

* Sat Nov 19 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.2.0-1
+ Revision: 731717
- new version 3.2.0
- split out gir pkg
- removed defattr
- removed .la files
- disable static build
- removed clean section
- cleaned up spec
- revised summary per homepage
- shortened lib & devel pkg descriptions
- removed req for main pkg by the lib
- converted BRs to pkgconfig provides
- removed mkrel & BuildRoot

* Mon May 23 2011 Götz Waschk <waschk@mandriva.org> 3.0.2-1
+ Revision: 677961
- update to new version 3.0.2

* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 3.0.1-1
+ Revision: 659141
- update to new version 3.0.1

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 3.0.0-1
+ Revision: 650456
- update to new version 3.0.0

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 2.91.92-1
+ Revision: 647741
- new version 2.91.92

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.90.0-1mdv2011.0
+ Revision: 563610
- new version for gtk+3
- gtk+3 version

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.3-1mdv2011.0
+ Revision: 563500
- update build deps
- new version
- add introspection support

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528771
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516897
- update to new version 2.29.92

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475374
- update to new version 2.29.2

* Tue Nov 24 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 469772
- update to new version 2.28.2

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458786
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446959
- new version
- new major

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437461
- update to new version 2.27.92

* Sun Jun 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 385938
- new version
- drop patch

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-2mdv2010.0
+ Revision: 380137
- readd a removed header

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 380106
- new version
- new major

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374188
- new version
- drop patch

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356171
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347462
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341347
- new version
- fix format strings

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.0-2mdv2009.1
+ Revision: 301479
- rebuilt against new libxcb

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286819
- new version
- fix license
- update file list

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274126
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.7.11-2mdv2009.0
+ Revision: 221045
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 0.7.11-1mdv2008.1
+ Revision: 183049
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.7.10-1mdv2008.1
+ Revision: 174976
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 0.7.9-1mdv2008.1
+ Revision: 165505
- remove rpath
- new version
- update file list

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.7.8-1mdv2008.1
+ Revision: 159195
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2008.0
+ Revision: 63174
- new version
- new devel name

* Fri Jun 22 2007 Götz Waschk <waschk@mandriva.org> 0.7.6-1mdv2008.0
+ Revision: 42953
- new version

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 0.7.5-1mdv2008.0
+ Revision: 23723
- new version

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 0.7.4-1mdv2008.0
+ Revision: 23689
- new version

